Get job
curl --request GET \
--url https://api.example.com/jobs/{id}import requests
url = "https://api.example.com/jobs/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}Jobs
Get job
Retrieve a single job by ID
GET
/
jobs
/
{id}
Get job
Path parameters
string
required
The UUID of the job to retrieve.
Response
Returns the job object if it exists and belongs to the authenticated user.curl https://app.cronapi.dev/api/v1/jobs/b2c3d4e5-f6a7-8901-bcde-f12345678901 \
-H "Authorization: Bearer your_api_key_here"
const response = await fetch(
`https://app.cronapi.dev/api/v1/jobs/${jobId}`,
{ headers: { "Authorization": `Bearer your_api_key_here` } }
);
const job = await response.json();
import requests
response = requests.get(
f"https://app.cronapi.dev/api/v1/jobs/{job_id}",
headers={"Authorization": "Bearer your_api_key_here"},
)
job = response.json()
200
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"user_id": "d4e5f6a7-b890-1234-cdef-567890abcdef",
"name": "Send welcome email",
"at": "2026-04-20T15:00:00.000Z",
"url": "https://example.com/send-email",
"method": "POST",
"headers": {},
"body": {"user_id": "usr_123"},
"status": "pending",
"created_at": "2026-04-15T10:00:00.000Z"
}
404
{
"error": "Job not found"
}
⌘I